Retry download
curl --request POST \
--url https://api.videodb.io/download/{download_id} \
--header 'x-access-token: <api-key>'const options = {method: 'POST', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/download/{download_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
$headers=@{}
$headers.Add("x-access-token", "<api-key>")
$response = Invoke-WebRequest -Uri 'https://api.videodb.io/download/{download_id}' -Method POST -Headers $headersimport Foundation
let url = URL(string: "https://api.videodb.io/download/{download_id}")!
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["x-access-token": "<api-key>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/download/{download_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);using RestSharp;
var options = new RestClientOptions("https://api.videodb.io/download/{download_id}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("x-access-token", "<api-key>");
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);const options = {method: 'POST', headers: {'x-access-token': '<api-key>'}};
fetch('https://api.videodb.io/download/{download_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/download/{download_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "POST");
curl_easy_setopt(hnd, CURLOPT_WRITEDATA, stdout);
curl_easy_setopt(hnd, CURLOPT_URL, "https://api.videodb.io/download/{download_id}");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "x-access-token: <api-key>");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
CURLcode ret = curl_easy_perform(hnd);val client = OkHttpClient()
val request = Request.Builder()
.url("https://api.videodb.io/download/{download_id}")
.post(null)
.addHeader("x-access-token", "<api-key>")
.build()
val response = client.newCall(request).execute(){
"success": true,
"status": "processing",
"data": {
"id": "job-123",
"output_url": "https://api.videodb.io/async-response/job-123"
}
}Update Download Job
Update or modify a download job configuration
POST
/
download
/
{download_id}
Retry download
Retry a failed download job. Use this endpoint to re-attempt a download that encountered an error during processing.
import requests
response = requests.post(
"https://api.videodb.io/download/download-abc123",
headers={"x-access-token": "your_api_key"}
)
result = response.json()
print(f"Download ID: {result.get('download_id')}")
print("Retry initiated")
const response = await fetch(
"https://api.videodb.io/download/download-abc123",
{
method: "POST",
headers: {
"x-access-token": "your_api_key"
}
}
);
const result = await response.json();
console.log(`Download ID: ${result.download_id}`);
console.log('Retry initiated');
- Use this endpoint to retry downloads that are in
errorstatus - Creates a new processing request with the same parameters
- Returns immediately—use Get Download Status to track progress
- Failed downloads may have encountered temporary issues (network, timeout)
Get Download Status
Check the current download status
Delete Download
Cancel a download job
Authorizations
API key for authentication (sk-xxx format)
Path Parameters
Example:
"download-12345"
⌘I